<!--Strana za pretrazivanje-->
<!DOCTYPE html>
<html>
    <body>
        <div class="hero">
            
            <app-navigation></app-navigation>

            <div class="search-div">
                <!--Polje za pretragu-->
                <div id = "search-bar" class="form-group">                       
                    <input style="color: #F08080" class="form-control" id="searchbox" name="searchStr" type="text" [(ngModel)]="searchStr" (keyup)="searchMusic()" autocomplete="off" placeholder="Enter name of artist or song..." >
                    <div class="search" ></div>
                </div>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <!--Dobijeni rezultati-->
                <div *ngIf="searchRes">
                    <div *ngFor="let res of searchRes">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="well" style="background: #F08080; border-radius: 0.5rem; padding: 1em; ">
                                    <h4 ><a class = "a2" target="_self" routerLink="/artist/{{res.artist.id}}">{{res.artist.name}}</a></h4>
                                    <h4 style="color: bisque;">{{res.title}}</h4>
                                    
                                </div>
                            </div>
                        </div><br>
                    </div>
                </div>

            </div>
            <div>
                <div *ngIf="alb!==null && alb.length>0 && show_history">
                    
                    <div class="full hide-scroll">

                    <ul class="hs history-box">
                        <h3>Recently viewed</h3>
                        <div class="row flex-row flex-nowrap">
                           
                    <div *ngFor="let a of alb">
                        <li class="card" style="width: 210px; margin: 5px;">
                            <img class="img img-thumbnail album-thumb" routerLink="/album/{{a.id}}" target="_self" style="width:210px;height:210px;" src="{{a.cover_medium}}">
                            <div class="card-body">
                              <a class="btn2" routerLink="/album/{{a.id}}" target="_self">{{a.title}}</a> 
                            </div>
                        </li>
                    </div>
                    
                   </div>
                   <div>
                       <h4 (click)="deleteRecently()">Delete</h4>
                   </div>
            </ul>
            </div>

            
        </div>
               
        </div>

        <div>
                <div *ngIf="liked.length>0 ">
                    
                    <div class="full hide-scroll">

                    <ul class="hs history-box">
                        <h3>Liked</h3>
                        <div class="row flex-row flex-nowrap">
                           
                    <div *ngFor="let l of liked">
                        <li class="card" style="width: 210px; margin: 5px;">
                            <img class="img img-thumbnail album-thumb" routerLink="/album/{{l.id}}" target="_self" style="width:210px;height:210px;" src="{{l.cover_medium}}">
                            <div class="card-body">
                              <a class="btn2" routerLink="/album/{{l.id}}" target="_self">{{l.title}}</a> 
                            </div>
                        </li>
                    </div>
                    
                   </div>
                   
            </ul>
            </div>

            
        </div>
               
        </div>

    </div>
    </body>
</html>